from graphics_and_games_klassen import Turtle

class Hilbert:
    """ Zeichnet die Hilbert-Kurve """
    
    def __init__(self, tiefe):
        """
        Konstruktor
        """
        self.t = Turtle()
        self.länge = 400.0 / 2 ** tiefe # ** Symbol für Potenz
        self.t.StiftHeben()
        self.t.PositionSetzen(int(self.länge / 2), int(self.länge / 2))
        self.t.StiftSenken()
        self.SchrittAusführen(False, tiefe)
    
    def Drehen(self, links):
        """ Dreht um 90° nach links oder rechts """
        if links:
            self.t.Drehen(90)
        else:
            self.t.Drehen(-90)
    
    def SchrittAusführen(self, links, stufe):
        """ Zeichnet ein Element der Kurve """
        pass

hilbert = Hilbert(3)  # Beispiel für die Erzeugung einer Hilbert-Kurve der Rekursionstiefe 3

