from graphics_and_games_klassen import Dreieck
class SierpinskiDreieck:
    """
    Erzeugt das Sierpinski-Dreieck
    """


    def __init__(self, tiefe):
        """
        Legt das Grunddreieck an und stößt die Rekursion an
        :param tiefe: Rekursionstiefe
        """
        self.basis = Dreieck()
        self.basis.FarbeSetzen("weiss")
        self.basis.PositionSetzen(400, 10)
        self.basis.GroesseSetzen(600, 520)
        self.SchrittAusführen(400, 10, 600, 520, tiefe)
    
    def SchrittAusführen(self, x, y, breite, höhe, tiefe):
        """
        Ermittelt den Rekursionsschritt
        :param x: x-Position der Dreiecksspitze
        :param y: y-Position der Dreiecksspitze
        :param breite: die Breite des Umgebungsdreiecks
        :param höhe: die Höhe des Umgebungsdreiecks
        :param tiefe: restliche Rekursionstiefe
        """
        pass
        
SierpinskiDreieck(4)
